#!/bin/sh
#
# $FreeBSD: ports/dns/maradns/files/rc_d.sh,v 1.4 2007/06/16 12:42:14 pav Exp $
#

# PROVIDE: maradns
# REQUIRE: SERVERS
# BEFORE: DAEMON
# KEYWORD: shutdown
#
# NOTE for FreeBSD 5.0+:
# If you want this script to start with the base rc scripts
# move maradns.sh to /etc/rc.d/maradns

prefix=/usr/local

# Define these maradns_* variables in one of these files:
#	/etc/rc.conf
#	/etc/rc.conf.local
#	/etc/rc.conf.d/maradns
#
# DO NOT CHANGE THESE DEFAULT VALUES HERE
#
maradns_enable=${maradns_enable-"NO"}
# maradns_flags can be something like "-f /path/alternate_rc"

. /etc/rc.subr

name="maradns"
rcvar=`set_rcvar`
command="${prefix}/bin/duende"
pidfile="/var/run/${name}.pid"

load_rc_config $name

flags="${prefix}/sbin/${name} ${maradns_flags}"

run_rc_command "$1"
